﻿@using Jumbula.Common.Helper
@model FlyerClassCatalogViewModel
@{
    ViewBag.Title = "Template1";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}

<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>title</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <style>
        body, html {
            width: 100%;
            height: 100%;
            padding: 0;
            margin: 0;
            position: relative;
            box-sizing: border-box;
        }

        @@font-face {
            font-family: "gothambold";
            src: url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.eot")");
            src: url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.eot?#iefix")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.woff")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.ttf")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/gothambold1.svg#jumbula-icons")") format("svg");

        }

        @@font-face {
            font-family: "GothamBook";
            src: url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.eot")");
            src: url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.eot?#iefix")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.woff")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.ttf")"),url("@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/fonts/Gotham/GothamBook.svg#jumbula-icons")") format("svg");

        }

        @@font-face {
            font-family: "jumbula-icons";
            src: url("@string.Format("{0}/{1}", baseUrl, "Content/Fonts/jumbula-icons.eot")");
            src: url("@string.Format("{0}/{1}", baseUrl, "/Content/Fonts/jumbula-icons.eot?#iefix")") format("embedded-opentype") ,url("@string.Format("{0}/{1}", baseUrl, "/Content/Fonts/jumbula-icons.woff")") format("woff") ,url("@string.Format("{0}/{1}", baseUrl, "/Content/Fonts/jumbula-icons.ttf")") format("truetype"),url("@string.Format("{0}/{1}", baseUrl, "/Content/Fonts/jumbula-icons.svg#jumbula-icons")") format("svg");
            font-weight: normal;
            font-style: normal;
        }

        [data-icon]:before {
            font-family: "jumbula-icons" !important;
            content: attr(data-icon);
            font-style: normal !important;
            font-weight: normal !important;
            font-variant: normal !important;
            text-transform: none !important;
            speak: none;
            line-height: 1;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
        }

        [class^="jbi-"]:before,
        [class*=" jbi-"]:before {
            font-family: "jumbula-icons" !important;
            font-style: normal !important;
            font-weight: normal !important;
            font-variant: normal !important;
            text-transform: none !important;
            speak: none;
            line-height: 1;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
        }

        .jbi-facebook:before {
            content: "\e011";
        }

        .jbi-twitter:before {
            content: "\e013";
        }

       
    </style>

    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>

        .page-number span {
            display: inline-block;
        }
        .flyer-header-theme {
            height: auto !important;
        }

    </style>
</head>
<body>
    @{
        String colorLines = "";
        String headerTableBlueColor = "";


        if (Model.IsGreenColor)
        {
            colorLines = "green-lines";
        }
        else if (Model.IsBlueColor)
        {
            colorLines = "blue-lines";
            headerTableBlueColor = "blue-header-table";
        }
        else
        {
            colorLines = "black-lines";
        }
    }

    <div class="fleyer-sections-container-pdf-scroll flyer-theme">
        <div class="flyer-header-theme flyer-alignment @colorLines" style="margin-bottom: 16px;">
            <img class="partner-logo" src="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/Image/bannerRightAtSchool.jpg")" />

            <div class="flyer-header-box-season">
                <h1 class="flyer-header-school-name">@Model.Body.SchoolName</h1>
                <h3 class="flyer-header-sprint-season">
                    <span style="color:#9eb55b">@Model.Body.SeasonName</span>
                    After School Electives
                </h3>
                <span class="flyer-header-season-date" style="color:#9eb55b">@Model.Body.SeasonDate</span>
            </div>
            <div class="flyer-header-register-info" style="color:#22afb9">
                <div>
                    <h4>REGISTER</h4>
                    <h4>@Model.Body.RegistrationOpenDate</h4>
                    <h6>rightatschool.com</h6>
                    <h6>@Model.Footer.Phone</h6>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>

        <div class="@headerTableBlueColor">
            @Html.Partial("_TemplateClassCatalogContent", Model)
        </div>


    </div>


</body>
</html>
